SYSTEM REQUIREMENTS

A Bluetooth 5.0 connection on your mobile phone is mandatory in order to get the most out of your ROOQs and the ROOQ app for your training.

We also recommend the following mobile operating systems:

  • at least Android 10
  • at least iOS 13

We cannot guarantee the proper use of our products with older operating software versions.